<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__timer__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_timer_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__timer__t_1ad9b79323e63e1fb3d8cedeb0baca175b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__tcpwm__t">cyhal_tcpwm_t</ref></type>
        <definition>cyhal_tcpwm_t cyhal_timer_t::tcpwm</definition>
        <argsstring />
        <name>tcpwm</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="713" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="713" />
      </memberdef>
      <memberdef id="structcyhal__timer__t_1a35055537da61b0cc38799626e3ae0e6f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_timer_t::default_value</definition>
        <argsstring />
        <name>default_value</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="714" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="714" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Timer object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="163">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="161">
        <label>cyhal_tcpwm_t</label>
        <link refid="structcyhal__tcpwm__t" />
        <childnode refid="162" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="163" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="160">
        <label>cyhal_timer_t</label>
        <link refid="structcyhal__timer__t" />
        <childnode refid="161" relation="usage">
          <edgelabel>tcpwm</edgelabel>
        </childnode>
      </node>
      <node id="162">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
    </collaborationgraph>
    <location bodyend="718" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="711" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="711" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__timer__t_1a35055537da61b0cc38799626e3ae0e6f" virt="non-virtual"><scope>cyhal_timer_t</scope><name>default_value</name></member>
      <member prot="public" refid="structcyhal__timer__t_1ad9b79323e63e1fb3d8cedeb0baca175b" virt="non-virtual"><scope>cyhal_timer_t</scope><name>tcpwm</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>